Package org.apache.catalina.realm

## Class JNDIRealm.JNDIConnection

- java.lang.Object
- - org.apache.catalina.realm.JNDIRealm.JNDIConnection

Enclosing class:
  JNDIRealm

    protected static class JNDIRealm.JNDIConnection
    extends java.lang.Object

Class holding the connection to the directory plus the associated non thread safe message formats.

### Field Summary

Fields
`protected javax.naming.directory.DirContext` `context` The directory context linking us to our directory server.
`protected java.text.MessageFormat` `roleBaseFormat` The MessageFormat object associated with the current `roleBase`.
`protected java.text.MessageFormat` `roleFormat` The MessageFormat object associated with the current `roleSearch`.
`protected java.text.MessageFormat[]` `userPatternFormatArray` An array of MessageFormat objects associated with the current `userPatternArray`.
`protected java.text.MessageFormat` `userSearchFormat` The MessageFormat object associated with the current `userSearch`.

### Constructor Summary

Constructors
`protected` `JNDIConnection()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### userSearchFormat

    protected java.text.MessageFormat userSearchFormat

The MessageFormat object associated with the current `userSearch`.

#### userPatternFormatArray

    protected java.text.MessageFormat[] userPatternFormatArray

An array of MessageFormat objects associated with the current `userPatternArray`.

#### roleBaseFormat

    protected java.text.MessageFormat roleBaseFormat

The MessageFormat object associated with the current `roleBase`.

#### roleFormat

    protected java.text.MessageFormat roleFormat

The MessageFormat object associated with the current `roleSearch`.

#### context

    protected javax.naming.directory.DirContext context

The directory context linking us to our directory server.

### Constructor Detail

#### JNDIConnection

    protected JNDIConnection()